Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 10/29/2020 in all areas

  1. I tried to reproduce the issue, and the "tangent" point is (in my case at least) calculated from the endpoint of the original line. I thought the Perpendicular snap would do what the OP wants, but it doesn't register anywhere on the arc. Strangely enough, you can draw a line perpendicular to an arc. I agree with Eldon, a temporary line should help to find the right point. Anything else adds complexity.
    1 point
  2. @Eduardo Celiz I tested the same code and it works for me. Try testing out putting the cuix file in a different path on your computer, such as a sub-folder in your "documents" folder. Windows does not like customization files stored in the "Program Files" folders. I don't store my customizations in the "Program Files", because any files you want to write back to will error out.
    1 point
  3. Thank you all! And thank god for this Recover command really a mistery what happened here
    1 point
  4. Students need to complete at least one elective project. One is all that is required. There is no need to complete two.
    1 point
  5. Try this. Modified lisp slightly (defun rh:get_elev ( msg / ss rtn) (prompt msg) (setq ss (ssget "_+.:E:S" '((0 . "TEXT")))) (cond ( (not ss) (initget 3) (setq rtn (getreal "\nEnter Level : ")) ) (t (setq rtn (atof (cdr (assoc 1 (entget (ssname ss 0)))))) ) );end_cond );end_defun ;interpolation function to populate text elevation labels ; written by Nete Laana on 24.01.18 Modified dlanorh 30.04.19 (defun c:INTEL (/ p1 p2 p3 e1 e2 e3 d1 d2) ;define the function intel (while (setq p1 (getpoint "\nPick First Point : "));get the first point (setq e1 (rh:get_elev "\nSpecify First Elevation : ");get first elevation p2 (getpoint "\nPick Second Point : ");get the second point e2 (rh:get_elev "\nSpecify Second Elevation : ");get second elevation d1 (distance p1 p2); calculate total distance );end_setq (command "Line" p1 p2 "");draw the line (setq p3 (getpoint "\nPick Interpolation Point : "); pick desired interpolation point d2 (distance p1 p3); calculate distance a e3 (+ (/ (* (- e2 e1) d2) d1) e1);calculate interpolated elevation );end_setq (entdel (entlast)); delete the line (command "circle" p3 0.15); draw circle to identify point (command ".TEXT" p3 1.2 0 (rtos e3 2 2)); dump e3 as text object (setq p1 nil) );end_while (princ) );end_defun The lisp will now loop and ask for the next "Pick First Point : ". To exit the loop press return or click the right mouse button if it is set up that way.
    1 point
×
×
  • Create New...